Summary: A configuration tool for certain lp device parameters.
Name: tunelp
Version: 1.3
Release: 3mdk
Copyright: GPL
Group: System/Configuration/Printing
Source: ftp://metalab.unc.edu/pub/Linux/system/printing/tunelp-1.3.tar.bz2
Patch: tunelp-1.3-make.patch.bz2
Patch1: tunelp-1.3-kernel.patch.bz2
BuildRoot: /var/tmp/tunelp-root

%description
The tunelp utility sets various parameters for lp devices (/dev/lp0,
/dev/lp1, /dev/lp2).  Tunelp can set parameters like the lp device's
interrupt usage, polling rate, etc.

Install the tunelp package if you need a utility for setting lp device
parameters.

%prep
%setup -q
rm tunelp
%patch -p1
%patch1 -p1

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{man/man8,sbin}

install -m 755 -s tunelp $RPM_BUILD_ROOT/usr/sbin
install -m 644 tunelp.8 $RPM_BUILD_ROOT/usr/man/man8


find $RPM_BUILD_ROOT/ -type 'f'|grep -E '.*[0-9]($|x)' | xargs file \
	| grep troff | cut -d: -f1 | xargs bzip2 -9

for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`; do
	file $i |grep -q "not stripped" && strip $i
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/sbin/tunelp
/usr/man/man8/tunelp.8.bz2

%changelog
* Thu Mar 23 2000 Daouda Lo <daouda@mandrakesoft.com> 1.3-3mdk
- fic group 
* Wed Jul 13 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Fix compilation with recent kernels
- correct source URL

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 10)

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
